/* img. To force all images to display same aspect ratio. */

/* options:
	1. change aspect ratio.
		.masonary_img_wrap > .img-spacer {
			margin-top: 100%;   The figure determines how much of image is revealed, subject to cropping
		}
	2. how does image sit in box
		.img-holder > img {
			object-fit: cover;    	cover=crop from middle, preserve aspect. squish/stretch to fit SMALLEST dimension.
									fill=stretch/squash x &/or y.
									contain=show whole image, squish/stretch to fit BIGGEST dimension.
		}

/* 
	template
		'<div class="masonary_img_wrap">'
		+	'\t<div class="img-spacer"></div>'
		+ 	'\t<div class="img-holder"><img src="$0" alt="$1"/></div>'
		+'</div>\n'
*/

.works_in_gallery .responsivegrid_column {
	width: auto !important;
}

.masonary_img_wrap {
	/* display: inline-block; 	*/
    position: relative;

	_width: 100%;
	overflow: hidden;

	display: flex;
	flex-wrap: wrap;

	/* display: inline-block; */
align-items: flex-start; /* vertical */

  justify-content: space-around;
 justify-content: center; /* horizontal */
  /* align-items: center; */
}

/* Class for a dummy entity that constrains the aspect ratio of displayed image. This sets the height, as the image itself is postion:absolute */
.masonary_img_wrap > .img-spacer {
	display:none;
}

.masonary_img_wrap > .img-holder {
	/* position: absolute;
    top: 0;
    left: 0;
	_width:100%;
	_height:100%;
	*/
	height:150px;
	line-height: 150px;
	/* flex: 1; /* 0 auto; */
	flex: 0 0 auto;
	width: auto;
	flex-shrink: 0; /* fix ios9 non-standard */
	
}

.masonary_img_wrap > .img-holder > img.resp_grid_img {
	height:100%;
	_width:100%;

	object-fit: cover;
}

.masonary_img_wrap.option_fit_shortest > .img-holder > img.resp_grid_img {
	object-fit: cover;	/* contain fits longer side.  cover:preserves aspect, clips longer side, fits shorter side. none doesn't scale */
}

.masonary_img_wrap.option_fit_longest > .img-holder > img.resp_grid_img {
	object-fit: contain;	/* contain fits longer side.  cover:preserves aspect, clips longer side, fits shorter side. none doesn't scale */
}
